type token =
  | IDENT of (string)
  | VIDENT of (string)
  | STRING of (string)
  | RELOP of (string)
  | LBRACKET
  | RBRACKET
  | LPAREN
  | RPAREN
  | LT
  | GT
  | COMMA
  | PIPE
  | EQ
  | BANG
  | PLUS
  | MINUS
  | COLON
  | SLASH
  | EOL

val pkgname_top :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Packages_types.name
val version_top :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Packages_types.version
val archlist_top :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Packages_types.architecture list
val source_top :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Packages_types.source
val vpkgname_top :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Packages_types.vpkgname
val vpkg_top :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Packages_types.vpkg
val vpkglist_top :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Packages_types.vpkglist
val vpkgformula_top :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Packages_types.vpkgformula
val builddepsformula_top :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Packages_types.builddepsformula
val builddepslist_top :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Packages_types.builddepslist
val request_top :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Packages_types.vpkgreq
val requestlist_top :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Packages_types.vpkgreq list
